Subject: Scalability Issues

From: Robin Layland <[email-masked]>
Date: Mon, 19 Jul 93 01:33 GMT

Robin Layland...
 
I agree with Shannon Nix on the scalability issues. As the network grows large
the number of connection get large and hard to manage. Also, small router will
need significant memory for the all the connection, this is true even if they
are connected to one (or maybe two routers). 
 
I think this was under the heading of Transport Issues when we went through the
issues at the AWI meeting. There was little interest at the time (I never
understood why). The decision was to drop the issue for now. 
 
I feel there is another part of the scalability issues: If a routers doesn't
know where something is then it must send out CAN-U-Reach message. With a 100
routers thats 100 Can-U-Reach. As  the network grows (ten of thousand of
devices) this can cause there to be a significant number of CAN-U-Reach
messages. I feel we will need a directory service to cut down on this issue.
APPN faced the same problem with their broadcast seachs and changed it to a
directory  look  up scheme. 
 
We should relook at the issue of scalability at the next AWI. We may not want to
hold up the first release of the RFC for both the transport and directory
service. But look to add it to a second release of the RFC.